#! /usr/local/bin/gawk -f

BEGIN {
	printf "TL DE length range\n"
	}

{	tl=$1;de=$2;len=$3;bra=$4

	ie=de*5

	bpv=1.2; hpg=0.08; lm=0.0; vm=0
	
	if (tl>=11) { hpg=0.06;          lm=0.8; vm=0.02 }
	if (tl>=12) { hpg=0.05; bpv=1;   lm=1;   vm=0.01 }
	if (tl>=13) { hpg=0.045;         }
	if (tl>=14) { hpg=0.04; bpv=0.6; lm=1.2; }
	if (tl>=15) { hpg=0.035;bpv=0.3; }
	
	er=len*lm/30

	printf "Tech-Level      : %3.3s\n", tl
	printf "Discharge       : %5.1f Mj\n", de
	printf "Diameter        : %5.1f m\n", sqrt(de*vm)/3.1416*2
	printf "Short Range     : %5.1f clicks\n", bra
	printf "Effective Range : %5.1f clicks\n", er
	printf "Power Input     : %5.1f MW\n", ie/180
	printf "Tunnel Volume   : %5.1f m3\n", len*de*vm
	printf "HPG    Volume   : %5.1f m3\n", ie*hpg
	printf "BeamP  Volume   : %5.1f m3\n", bra*bpv
	printf "Displacement    : %5.1f dt\n",
		(bra*bpv+ie*hpg+len*de*vm)/14
	printf "Damage          : "

	ra=bra;
	for (j=1;j<5;j++) {
		rd=er*er/(ra*ra)
		if (rd > 1) rd=1
		printf "%d:%d ", ra, 5*sqrt(de*rd)+0.5
		ra=ra*2
		}

	printf "\n"
	}
