#! /usr/local/bin/gawk -f

BEGIN {
	printf "TL DE length range [radius]\n"
	}

{	tl=$1;de=$2;len=$3;bra=$4

	r=len/16; if ((NF == 5) && ($5<r*10)) r=$5/10

	if (de > len*len) de=len*len

	ie=de*5

	bpv=1.2; hpg=0.08; fam=1; lm=0.16; mm=1
	
	if (tl>=11) { hpg=0.06;          fam=2; lm=0.2; mm=0.75 }
	if (tl>=12) { hpg=0.05; bpv=1;   fam=3; lm=0.25 }
	if (tl>=13) { hpg=0.045;                lm=0.3  }
	if (tl>=14) { hpg=0.04; bpv=0.6; fam=4; lm=0.5  }
	if (tl>=15) { hpg=0.035;bpv=0.3;        lm=1    }
	
	er=3.1416*r*r*fam*len*lm/30

	printf "Tech-Level      : %3.3s\n", tl
	printf "Discharge       : %5.1f Mj\n", de
	printf "Diameter        : %5.1f m\n", 2*r
	printf "Short Range     : %5.1f clicks\n", bra
	printf "Effective Range : %5.1f clicks\n", er
	printf "Power Input     : %5.1f MW\n", ie/180
	printf "Tunnel Volume   : %5.1f m3\n", 3.1416*r*r*len
	printf "HPG    Volume   : %5.1f m3\n", ie*hpg
	printf "BeamP  Volume   : %5.1f m3\n", bra*bpv
	printf "Displacement    : %5.1f m3 %5.1f dt\n",
		(bra*bpv+ie*hpg+3.1416*r*r*len),
		(bra*bpv+ie*hpg+3.1416*r*r*len)/14
	printf "Mass            : %5.1f t\n",
		bra*bpv+2*ie*hpg+3.1416*r*r*len*(tl>10?0.75:1)
	printf "Damage          : "

	ra=bra;
	for (j=1;j<5;j++) {
		rd=er*er/(ra*ra)
		if (rd > 1) rd=1
		printf "%d:%d ", ra, 5*sqrt(de*rd)+0.5
		ra=ra*2
		}

	printf "\n"
	}
